OpenNMS API 1.2.9

## org.opennms.web.vulnerability
Class VulnerabilityQueryParms

    java.lang.Object
      org.opennms.web.vulnerability.VulnerabilityQueryParms

public class VulnerabilityQueryParms
extends java.lang.Object

Convenience data structure for holding the arguments to an vulnerability query.

Author:
  Lawrence Karnowski , OpenNMS

Field Summary
`java.util.ArrayList` `filters`
`int` `limit`
`int` `multiple`
`VulnerabilityFactory.ResolutionType` `resType`
`VulnerabilityFactory.SortStyle` `sortStyle`

Constructor Summary
`VulnerabilityQueryParms()`

Method Summary
`Filter[]` `getFilters()` Convert the internal (and useful) ArrayList filters object into an array of Filter instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sortStyle

    public VulnerabilityFactory.SortStyle sortStyle

### resType

    public VulnerabilityFactory.ResolutionType resType

### filters

    public java.util.ArrayList filters

### limit

    public int limit

### multiple

    public int multiple

Constructor Detail

### VulnerabilityQueryParms

    public VulnerabilityQueryParms()

Method Detail

### getFilters

    public Filter[] getFilters()

  Convert the internal (and useful) ArrayList filters object into an array of Filter instances.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.